/*
 * past_parser.h: This file is part of the IR-Converter project.
 *
 * IR-Converter: a library to convert PAST to ScopLib
 *
 * Copyright (C) 2011 Louis-Noel Pouchet
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * The complete GNU Lesser General Public Licence Notice can be found
 * as the `COPYING.LESSER' file in the root directory.
 *
 * Author:
 * Louis-Noel Pouchet <pouchet@cse.ohio-state.edu>
 *
 */
#ifndef IRCONVERTER_PAST_PARSER_H
# define IRCONVERTER_PAST_PARSER_H

# ifndef SCOPLIB_INT_T_IS_LONGLONG
#  define SCOPLIB_INT_T_IS_LONGLONG
# endif
# include <scoplib/matrix.h>
# include <past/past.h>

BEGIN_C_DECLS


scoplib_matrix_p
past_parser(s_past_node_t* expr,
	    char** iterators, char** parameters, int data_is_char);



END_C_DECLS


#endif // IRCONVERTER_PAST_PARSER_H
