/*
 * vectorize.h: This file is part of the PAST-vectorizer project.
 *
 * Pvectorizer: a library to increase SIMD capability of PAST trees.
 *
 * Copyright (C) 2011 Louis-Noel Pouchet
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * The complete GNU Lesser General Public Licence Notice can be found
 * as the `COPYING.LESSER' file in the root directory.
 *
 * Author:
 * Louis-Noel Pouchet <pouchet@cse.ohio-state.edu>
 *
 */
#ifndef PVECTORIZER_VECTORIZE_H
# define PVECTORIZER_VECTORIZE_H

# ifndef SCOPLIB_INT_T_IS_LONGLONG
#  define SCOPLIB_INT_T_IS_LONGLONG
# endif
# define LINEAR_VALUE_IS_LONGLONG
# include <scoplib/scop.h>
# include <past/past.h>


BEGIN_C_DECLS

extern
void
pvectorizer_vectorize (scoplib_scop_p program, s_past_node_t* root,
		       int keep_outer_par);




END_C_DECLS


#endif // PVECTORIZER_VECTORIZE_H
